aboutsummaryrefslogtreecommitdiff
path: root/contrib/compiler-rt/lib/dfsan/scripts/check_custom_wrappers.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/compiler-rt/lib/dfsan/scripts/check_custom_wrappers.sh')
-rwxr-xr-xcontrib/compiler-rt/lib/dfsan/scripts/check_custom_wrappers.sh50
1 files changed, 0 insertions, 50 deletions
diff --git a/contrib/compiler-rt/lib/dfsan/scripts/check_custom_wrappers.sh b/contrib/compiler-rt/lib/dfsan/scripts/check_custom_wrappers.sh
deleted file mode 100755
index 50bc85d4aef5..000000000000
--- a/contrib/compiler-rt/lib/dfsan/scripts/check_custom_wrappers.sh
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/sh
-
-DFSAN_DIR=$(dirname "$0")/../
-DFSAN_CUSTOM_TESTS=${DFSAN_DIR}/../../test/dfsan/custom.cc
-DFSAN_CUSTOM_WRAPPERS=${DFSAN_DIR}/dfsan_custom.cc
-DFSAN_ABI_LIST=${DFSAN_DIR}/done_abilist.txt
-
-DIFFOUT=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
-ERRORLOG=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
-DIFF_A=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
-DIFF_B=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
-
-on_exit() {
- rm -f ${DIFFOUT} 2> /dev/null
- rm -f ${ERRORLOG} 2> /dev/null
- rm -f ${DIFF_A} 2> /dev/null
- rm -f ${DIFF_B} 2> /dev/null
-}
-
-trap on_exit EXIT
-grep -E "^fun:.*=custom" ${DFSAN_ABI_LIST} | grep -v "dfsan_get_label" \
- | sed "s/^fun:\(.*\)=custom.*/\1/" | sort > $DIFF_A
-grep -E "__dfsw.*\(" ${DFSAN_CUSTOM_WRAPPERS} \
- | sed "s/.*__dfsw_\(.*\)(.*/\1/" | sort > $DIFF_B
-diff -u $DIFF_A $DIFF_B > ${DIFFOUT}
-if [ $? -ne 0 ]
-then
- echo -n "The following differences between the ABI list and ">> ${ERRORLOG}
- echo "the implemented custom wrappers have been found:" >> ${ERRORLOG}
- cat ${DIFFOUT} >> ${ERRORLOG}
-fi
-
-grep -E __dfsw_ ${DFSAN_CUSTOM_WRAPPERS} \
- | sed "s/.*__dfsw_\([^(]*\).*/\1/" | sort > $DIFF_A
-grep -E "^\\s*test_.*\(\);" ${DFSAN_CUSTOM_TESTS} \
- | sed "s/.*test_\(.*\)();/\1/" | sort > $DIFF_B
-diff -u $DIFF_A $DIFF_B > ${DIFFOUT}
-if [ $? -ne 0 ]
-then
- echo -n "The following differences between the implemented " >> ${ERRORLOG}
- echo "custom wrappers and the tests have been found:" >> ${ERRORLOG}
- cat ${DIFFOUT} >> ${ERRORLOG}
-fi
-
-if [ -s ${ERRORLOG} ]
-then
- cat ${ERRORLOG}
- exit 1
-fi
-